Contribute
Register

Cannot update to High Sierra (Trying to get FCPX 10.4!)

Joined
Apr 8, 2016
Messages
15
Motherboard
Gigabyte Z170x UD3
CPU
i7 6700k
Graphics
Sapphire R9 280x Vapor-X Tri-X
Mac
  1. iMac
  2. MacBook Air
I built a hackintosh last year and have been using it to edit with FCPX. The new FCPX 10.4 update just came out for High Sierra, so I tried to update (From El Capitan), but I got this: "This version of macOS 10.13.2 cannot be installed on this computer."

What part of my hardware is not compatible?

Gigabyte Z170x UD3
i7 6700k
Sapphire R9 280x Vapor-X Tri-X
16 GB Crucial Ballistix Sport LT

EDIT:
Is this an SMBIOS issue? My current model identifier is MacPro3,1
If that is the issue, what SMBIOS model should I use for my hardware?
 
Last edited:
Top